;
; The names for city tiles are not free and must follow the following rules.
; The names consists of style name, _ , size. The style name is as specified
; in cities.ruleset file. The size indicates which size city must
; have to be drawn with a tile. E.g. european_4 means that the tile is to be
; used for cities of size 4+ in european style. Obviously the first tile
; must be style_name_0. The sizes must be in ascending order.
; There must also be a style_name_wall tile used to draw the wall and
; an occupied tile to indicate a miltary units in a city.
; The maximum size supported now is 31, but there can only be MAX_CITY_TILES
; normal tiles. The constant is defined in common/city.h and set to 8 now.
;

[spec]

; Format and options of this spec file:
options = "+spec3"

[info]

artists = "
    
"

[file]
gfx = "mongols/tileset/cities"

[grid_main]

x_top_left = 1
y_top_left = 39
dx = 64
dy = 48
pixel_border = 1

tiles = { "row", "column", "tag"

; default tiles

; 1,  2, "cd.city"
; 1,  3, "cd.city_wall"
; 1,  4, "cd.occupied"

; used by all city styles

; 0,  0, "city.disorder"

;
; city tiles
;

 0,  0, "city.indian_city_0"
 0,  1, "city.indian_city_5"
 0,  2, "city.indian_city_10"
 0,  3, "city.indian_city_15"

 1,  0, "city.oriental_city_0"
 1,  1, "city.oriental_city_5"
 1,  2, "city.oriental_city_10"
 1,  3, "city.oriental_city_15"

; 2,  0, "city.asian_city_0"
; 2,  1, "city.asian_city_5"
; 2,  2, "city.asian_city_10"
; 2,  3, "city.asian_city_15"

 3,  0, "city.european_city_0"
 3,  1, "city.european_city_5"
 3,  2, "city.european_city_10"
 3,  3, "city.european_city_15"

 4,  0, "city.islamic_city_0"
 4,  1, "city.islamic_city_5"
 4,  2, "city.islamic_city_10"
 4,  3, "city.islamic_city_15"

; 5,  0, "city.modern_city_0"
; 5,  1, "city.modern_city_5"
; 5,  2, "city.modern_city_10"
; 5,  2, "city.modern_city_15"

}

[grid_specials]

x_top_left = 143
y_top_left = 423
dx = 64
dy = 48
pixel_border = 1

tiles = { "row", "column", "tag"

 0, 0, "unit.fortified"
 0, 1, "tx.fortress"
 0, 2, "tx.airbase"
 0, 3, "tx.airbase_full"
}

[grid_flags]

x_top_left = 1
y_top_left = 425
dx = 14
dy = 22
pixel_border = 1

tiles = { "row", "column", "tag"

 1, 0, "city.oriental_occupied_0"
 1, 1, "city.indian_occupied_0"
; 1, 2, "city.asian_occupied_0"
 1, 4, "city.european_occupied_0"
; 1, 5, "city.modern_occupied_0"
 1, 6, "city.islamic_occupied_0"
}

[grid_walls]

x_top_left = 334
y_top_left = 39
dx = 64
dy = 48
pixel_border = 1

tiles = { "row", "column", "tag"

; city tiles

 0,  0, "city.indian_wall_0"
 0,  1, "city.indian_wall_5"
 0,  2, "city.indian_wall_10"
 0,  3, "city.indian_wall_15"

 1,  0, "city.oriental_wall_0"
 1,  1, "city.oriental_wall_5"
 1,  2, "city.oriental_wall_10"
 1,  3, "city.oriental_wall_15"

; 2,  0, "city.asian_wall_0"
; 2,  1, "city.asian_wall_5"
; 2,  2, "city.asian_wall_10"
; 2,  3, "city.asian_wall_15"

 3,  0, "city.european_wall_0"
 3,  1, "city.european_wall_5"
 3,  2, "city.european_wall_10"
 3,  3, "city.european_wall_15"

 4,  0, "city.islamic_wall_0"
 4,  1, "city.islamic_wall_5"
 4,  2, "city.islamic_wall_10"
 4,  3, "city.islamic_wall_15"

; 5,  0, "city.modern_wall_0"
; 5,  1, "city.modern_wall_5"
; 5,  2, "city.modern_wall_10"
; 5,  2, "city.modern_wall_15"

}
